@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,400;0,700;1,100;1,400;1,700&display=swap");

:root {
  --color-primary: #f6b221;
  --color-success: #20bda3;
  --color-warning: #e6a23c;
  --color-danger: #f56c6c;
  --color-info: #909399;

  --color-background-1: #ececec;
  --color-background-2: #f5f5f5;
  --color-background-3: #fcfcfc;

  --color-text-primary: #4d4d4d;
  --color-text-regular: #5f5f5f;
  --color-text-secondary: #838383;
}

body {
  /*El color del contenido(todo el texto de la derecha)*/
  background: var(--color-background-2);
  color: var(--color-text-regular);
  padding: 0;
  margin: 0;
  font-size: 16px;
  font-family: "Montserrat", sans-serif;
  font-weight: normal;
  font-style: normal;
  line-height: 1.6em;
  position: relative;
  cursor: auto;
}

/* Header */
h1,
h2,
h3,
h4 {
  color: var(--color-text-primary);
}

#header-spring {
  position: absolute;
  text-rendering: optimizeLegibility;
  background-color: var(--color-background-3);
  top: 0;
  left: 0;
  right: 0;
  height: 80px;
  margin: 0 1rem;
  padding: 0 1rem;
  box-shadow: 0 4px 20px 0 rgb(0 0 0 / 5%);
}
#header-spring h1 {
  margin: 0;
  padding: 0;
  padding-left: 0.6rem;
  display: flex;
  align-items: center;
  height: 100%;
}

#header-spring h1 img {
  height: 60px;
}

body.book #header-spring {
  position: relative;
  top: auto;
  left: auto;
  right: auto;
  margin: 0;
}
body.toc2 #header-spring {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  z-index: 1000;
}

#header {
  position: relative;
  max-width: 660px;
}
#header > h1:first-child {
  margin-top: 0px;
  margin-bottom: 0px;
  font-size: 2rem;
}

/* Barra de la izquierda */

#toc {
  border-bottom: 1px solid #dce6e6;
  padding-bottom: 0.5em;
}

#toc > ul {
  margin-left: 0.125em;
  padding-inline-end: 40px;
}

#toc ul.sectlevel0 > li > a {
  font-style: italic;
}

#toc ul.sectlevel0 ul.sectlevel1 {
  margin: 0.5em 0;
}

#toc ul {
  list-style-type: none;
}

#toc li {
  line-height: 1.3334;
}

a {
  text-decoration: none;
}
a:hover {
  text-decoration: underline;
}

#tocbot .toc-link:hover {
  background: var(--color-background-2);
  color: var(--color-primary);
  text-decoration: none;
}

#tocbot a.is-active-link {
  padding-right: 3px;
  background: var(--color-background-2);
  color: var(--color-primary);
}

#toctitle {
  color: #0b0a0a;
  font-size: 1.2em;
  display: none;
}

body.toc2 {
  padding-top: 80px;
  padding-left: 20em;
  padding-right: 0px;
  text-rendering: optimizeLegibility;
}

#content #toc {
  border-style: solid;
  border-width: 1px;
  border-color: #dce6e6;
  margin-bottom: 1.25em;
  padding: 1.25em;
  background: #f1f1f1;
  -webkit-border-radius: 4px;
  border-radius: 4px;
}

#content #toc > :first-child {
  margin-top: 0;
}

#content #toc > :last-child {
  margin-bottom: 0;
}

/* Adbomination*/

.admonitionblock {
  background-color: var(--color-background-1);
  padding: 0.8em 0;
  margin: 30px 0;
  width: auto;
  border-radius: 4px;
}

.admonitionblock > table {
  border-collapse: separate;
  border: 0;
  background: none;
  width: 100%;
}

.admonitionblock > table td.icon {
  text-align: center;
  vertical-align: middle;
  width: 80px;
}
.admonitionblock > table td {
  border: none;
}

.admonitionblock td.icon [class^="fa icon-"] {
  font-size: 2.5em;
  cursor: default;
}

.admonitionblock td.icon .icon-note:before {
  content: "\f05a";
  color: var(--color-info);
}

.admonitionblock td.icon .icon-tip:before {
  content: "\f0eb";
  color: #0077b9;
}

.admonitionblock td.icon .icon-warning:before {
  content: "\f071";
  color: #d88400;
}

.admonitionblock td.icon .icon-caution:before {
  content: "\f06d";
  color: #bf3400;
}

.admonitionblock td.icon .icon-important:before {
  content: "\f06a";
  color: #bf0000;
}

.admonitionblock > table td.icon img {
  max-width: initial;
}

.admonitionblock > table td.icon .title {
  font-weight: bold;
  font-family: Montserrat, sans-serif;
  text-transform: uppercase;
}

.admonitionblock > table td.content {
  padding-left: 0em;
  padding-right: 1.25em;
}

.admonitionblock > table td.content > :last-child > :last-child {
  margin-bottom: 0;
}

.admonitionblock.important {
  border-left: 0px solid #e20000;
  background-color: #f9ebeb;
}

.admonitionblock.warning {
  border-left: 0px solid #d88400;
  background-color: #fff9e4;
}

.admonitionblock.tip {
  border-left: 0px solid #0077b9;
  background-color: #e9f1f6;
}

.admonitionblock.caution {
  border-left: 0px solid #e20000;
  background-color: #f9ebeb;
}

.admonitionblock .exampleblock > .content {
  border: 0 none;
  background-color: #fff;
}

#toc a:hover {
  text-decoration: underline;
}

.admonitionblock > table {
  margin-bottom: 0;
}

.admonitionblock td.icon {
  display: table-cell;
}
.admonitionblock > table td.content {
  padding-left: 0;
}
/* Adboination */

/* Back action boton */
div.back-action,
#toc.toc2 div.back-action {
  padding: 0.8rem 0 0 0px;
  margin-left: -0.5rem;
}

div.back-action a,
#toc.toc2 div.back-action a {
  position: relative;
  display: inline-block;
  padding: 0.6rem 1.2rem;
  padding-left: 35px;
}

div.back-action a span,
#toc.toc2 div.back-action a span {
  position: absolute;
  left: 5px;
  top: 5px;
  display: block;
  color: #333;
  height: 26px;
  width: 26px;
  border-radius: 13px;
}

div.back-action a i,
#toc.toc2 div.back-action a i {
  position: absolute;
  top: 10px;
  left: 5px;
}

div.back-action a:hover span,
#toc.toc2 div.back-action a:hover span {
  color: #000;
}

body.toc2 #header-spring {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
}

body.toc2 #header {
  padding-top: 2em;
}
body.toc2 #header > h1:only-child {
  font-size: 2.2rem;
}

body.toc2 #header,
body.toc2 #content,
body.toc2 #footnotes,
body.toc2 #footer {
  margin: 0 auto;
}

body.toc2 #content {
  max-width: 660px;
}

#header > h1:only-child,
body.toc2 #header > h1:nth-last-child(2) {
  padding-bottom: 8px;
}
/*Color de la letra de la barra izquierda*/
pre.highlight a,
#toc.toc2 a {
  color: var(--color-text-primary);
}

pre.highlight ul.sectlevel1,
#toc.toc2 ul.sectlevel1 {
  padding-left: 0.2rem;
}

pre.highlight ul.sectlevel1 li,
#toc.toc2 ul.sectlevel1 li {
  line-height: 1.4rem;
}

body.toc2 #toc.toc2 {
  box-sizing: border-box;
  background-color: var(--color-background-1);
  position: fixed;
  width: 20em;
  height: 100%;
  top: 0;
  left: 0;
  border: none;
  overflow: auto;
  padding-top: 110px;
  padding-left: 2em;
  padding-right: 2em;
}
body.toc2 #toc.toc2 #toctitle {
  margin-top: 0;
  margin-bottom: 0.8rem;
  font-size: 1.2em;
}
#tocbot ol {
  margin: 0;
  padding: 0;
}
#tocbot ol ol {
  padding-left: 0.6rem;
}
#tocbot ol li {
  list-style: none;
  padding: 0 0;
  margin: 0;
  display: block;
}
body.toc2 #toc.toc2 > ul {
  font-size: 0.9em;
  margin-bottom: 0;
}
body.toc2 #toc.toc2 ul ul {
  margin-left: 0;
  padding-left: 1em;
}
body.toc2 #toc.toc2 ul.sectlevel0 ul.sectlevel1 {
  padding-left: 0;
  margin-top: 0.5em;
  margin-bottom: 0.5em;
}

/*Al quitar se desplaza la barra de contenidos*/
body.toc2 #header,
body.toc2 #footnotes,
body.toc2 #footer {
  max-width: 660px;
}

body.is-position-fixed #toc.toc2 {
  padding-top: 2em;
}

body.is-position-fixed #header {
  padding-top: 3.2em;
}

/* Tablas */
table {
  border-collapse: collapse;
}
table a {
  text-decoration: none;
}
table p {
  padding: 10px;
  margin: 0px;
}
table th {
  background-color: var(--color-background-2);
  color: var(--color-text-primary);
  border-bottom: 1px solid var(--color-primary);
  padding: auto;
  padding: 10px;
  margin: 0px;
}
table td {
  margin: 0px;
  border-bottom: 1px solid var(--color-background-1);
}

/* Images */
.imageblock {
  margin: 2em 0;
}
.imageblock img {
  max-width: 100%;
  border-radius: 4px;
}

/* Sidebar block */
.sidebarblock {
  border-style: solid;
  border-width: 0;
  border-color: #dce6e6;
  margin-bottom: 1.25em;
  padding: 1.25em;
  background: #ebf2f2;
  border-radius: 4px;
}
.sidebarblock > .content > .title {
  color: #0b0a0a;
  margin-top: 0;
  text-align: center;
  font-size: 1.5em;
}

/* dlist */
.dlist .hdlist1 {
  font-weight: 600;
  font-style: italic;
}
.dlist p {
  margin: 0.5em 0;
}

/* ulist */
.ulist p {
  margin: 0.5em 0;
}

/* Barra de la izquierda se desplaza sola mientras avanza el texto */

@media only screen and (min-width: 768px) {
  #toctitle {
    font-size: 1.375em;
  }
  .sect1 {
    padding-bottom: 1.25em;
  }
  /*Esta es la barra que se mueve*/
  .mobile-toc {
    display: none;
  }
  #tocbot a.toc-link.node-name--H1 {
    font-style: italic;
  }
  #tocbot ol {
    margin: 0;
    padding: 0;
  }
  #tocbot {
    z-index: 999;
  }
  #tocbot .toc-link {
    position: relative;
    display: block;
    z-index: 999;
    padding: 0.4rem 0.6rem;
    border-radius: 4px;
  }
  .is-collapsible {
    max-height: 1000px;
    overflow: hidden;
    transition: all 200ms ease-in-out;
  }
}
/*Para que se oculten los indices inferiores*/
@media only screen and (min-width: 768px) {
  #tocbot > ul.toc-list {
    margin-bottom: 0.5em;
    margin-left: 0.125em;
  }
  #tocbot ul.sectlevel0,
  #tocbot a.toc-link.node-name--H1 + ul {
    padding-left: 0;
  }
  #tocbot a.toc-link {
    height: 100%;
  }
  .is-collapsible {
    max-height: 3000px;
    overflow: hidden;
  }
  .is-collapsed {
    max-height: 0;
  }
}

/* Cuadrar el footer */
div#footer-text {
  padding-left: 10rem;
}

/* Highlight.js*/
.hljs {
  background: #fff !important;
  border-radius: 4px;
}
